---
apiVersion: config.openshift.io/v1
kind: ClusterOperator
metadata:
  annotations:
    exclude.release.openshift.io/internal-openshift-hosted: "true"
    include.release.openshift.io/self-managed-high-availability: "true"
  creationTimestamp: "2022-03-08T10:13:40Z"
  generation: 1
  managedFields:
  - apiVersion: config.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:exclude.release.openshift.io/internal-openshift-hosted: {}
          f:include.release.openshift.io/self-managed-high-availability: {}
      f:spec: {}
      f:status:
        .: {}
        f:extension: {}
    manager: cluster-version-operator
    operation: Update
    time: "2022-03-08T10:13:40Z"
  - apiVersion: config.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions: {}
        f:relatedObjects: {}
        f:versions: {}
    manager: authentication-operator
    operation: Update
    time: "2022-03-08T10:41:34Z"
  name: authentication
  resourceVersion: "25657"
  selfLink: /apis/config.openshift.io/v1/clusteroperators/authentication
  uid: 9a8ef39a-3056-449a-b394-456028b57e38
spec: {}
status:
  conditions:
  - lastTransitionTime: "2022-03-08T10:58:52Z"
    reason: AsExpected
    status: "False"
    type: Degraded
  - lastTransitionTime: "2022-03-08T10:48:11Z"
    reason: AsExpected
    status: "False"
    type: Progressing
  - lastTransitionTime: "2022-03-08T10:58:52Z"
    message: 'OAuthServerDeploymentAvailable: availableReplicas==2'
    reason: AsExpected
    status: "True"
    type: Available
  - lastTransitionTime: "2022-03-08T10:38:53Z"
    reason: AsExpected
    status: "True"
    type: Upgradeable
  extension: null
  relatedObjects:
  - group: operator.openshift.io
    name: cluster
    resource: authentications
  - group: config.openshift.io
    name: cluster
    resource: authentications
  - group: config.openshift.io
    name: cluster
    resource: infrastructures
  - group: config.openshift.io
    name: cluster
    resource: oauths
  - group: route.openshift.io
    name: oauth-openshift
    namespace: openshift-authentication
    resource: routes
  - group: ""
    name: oauth-openshift
    namespace: openshift-authentication
    resource: services
  - group: ""
    name: openshift-config
    resource: namespaces
  - group: ""
    name: openshift-config-managed
    resource: namespaces
  - group: ""
    name: openshift-authentication
    resource: namespaces
  - group: ""
    name: openshift-authentication-operator
    resource: namespaces
  - group: ""
    name: openshift-ingress
    resource: namespaces
  - group: ""
    name: openshift-oauth-apiserver
    resource: namespaces
  versions:
  - name: oauth-apiserver
    version: 4.6.52
  - name: operator
    version: 4.6.52
  - name: oauth-openshift
    version: 4.6.52_openshift
